Summary: Tools for configuring the console.
Name: console-tools
%define CTVER	0.3.3
%define	CDVER	1999.08.29
%define DATA console-data-%{CDVER}
Version: 19990829
Release: 40.1.niisi
Group: Applications/System
Exclusiveos: Linux
Excludearch: s390
License: GPL
URL: http://lct.sourceforge.net/
Source0: ftp://metalab.unc.edu/pub/Linux/system/keyboards/console-tools-%{CTVER}.tar.gz
Source1: ftp://metalab.unc.edu/pub/Linux/system/keyboards/%{DATA}.tar.gz
Source2: keytable.init
Source3: ftp://ftp.dementia.org/pub/linux/pc2sun.pl
Source4: console-tools-1998.08.11.add-ons-nosk.tar.gz
Source5: console-tools-0.3.3.sunfonts.tar.gz
Source6: kbd-1.03wip-turkish.tar.gz
Source7: kbd-ro.map.gz
Source8: kbd-sr.map.gz
Source9: ucw-fonts-1.1.1.tar.gz
Source10: kbd-0.96-latin0.tar.gz
Source11: kbd-0.96-amiga.tar.gz
Source12: sunt4-no-latin1.map.gz
Source13: lat2u-font.tar.gz
Source14: data-addon.tar.gz
Source15: console-fonts-cyr.tgz
Source16: eurofonts-console.tar.bz2

Patch0: console-tools-1998.08.11.resizecons.patch
# Euro support
Patch1: console-tools-euro.patch
Patch3: console-tools-1999.08.29.sparc.patch
Patch4: console-tools-1998.08.11.kmaps.patch
Patch5: console-tools.fonts.patch
# Allow consolechars & loadkeys to run from the root partition
Patch6: console-tools-rootpart.patch
# Add /etc/sysconfig/console (without subdirs) to the search path
Patch7: console-tools-searchpath.patch
Patch8: console-tools.fonts2.patch
Patch9: console-tools.fonts3.patch
# Don't load a directory as a keymap. Duh.
Patch11: console-tools-resizecons.patch
# Fix acm handling. Duh.
Patch13: console-tools-0.3.3.acm.patch
# fix delete key behaviour on type4/5 keyboards on sun to match intel
Patch14: console-tools-fixdel.patch
Patch15: console-tools-unicyr.patch
# Fix psfgettable on BE
Patch16: console-tools-0.3.3.psfgettable.patch
# Fix setkeycodes parameter parsing
Patch17: http://mucus.com/console-tools/console-tools-2000.07.05.setkeycodes.patch
# Teach ACM reader to cope with glibc 2.2 /usr/share/i18n/charmaps format
Patch18: console-tools-readacm-glibc22.patch
Patch19: console-tools-19990829-jp106.patch
Patch20: console-tools-0.3.3-keymaps.patch
Patch21: console-tools-19990829-bug9630.patch
Patch22: console-tools-0.3.3-latin2.patch
Patch23: console-tools-abnt2.patch
Patch24: console-tools-czech.patch
Patch25: console-tools-0.3.3-ccodes.patch
# New Russian keymap (#53033)
Patch26: console-tools-keymapru.patch
Patch27: console-tools-speakup.patch

#BuildRequires: sgml-tools
Prereq: /sbin/chkconfig fileutils sed
Obsoletes: kbd
Provides: kbd
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gzip

%description
The console-tools package contains tools for managing a Linux
system's console's behavior, including the keyboard, the screen
fonts, the virtual terminals and font files.

%prep

%ifarch m68k
%setup -q -n console-tools-%{CTVER} -a 4 -a 6 -a 9 -a 10 -a 11 -a 13 -a 14 -a 15
%else
%setup -q -n console-tools-%{CTVER} -a 4 -a 6 -a 9 -a 10 -a 13 -a 14 -a 15
%endif
mv -f data %{DATA}
mv -f consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consolefonts/* %{DATA}/consolefonts
mv -f console-fonts-cyr/consoletrans/* %{DATA}/consoletrans
tar xzf %{SOURCE1}
mv -f %{DATA} data
tar xzf %{SOURCE5}
mv -f data %{DATA}
%patch1 -p1 -b .euro
%ifarch sparc sparc64
%patch3 -p1
%endif
%patch5 -p1 -b .fonts
%patch6 -p1 -b .rootpart
%patch7 -p1 -b .searchpath

cd %{DATA}
tar xjf %{SOURCE16} # Additional fonts for latin9 (iso-8859-15)
cd ..

#%patch8 -p1
#%patch9 -p1
%patch11 -p1 -b .resizecons
%patch13 -p1 -b .acmpatch
%patch14 -p1 -b .fixdel
%patch15 -p1 -b .unicyr
%patch16 -p1 -b .psfgettable
%patch17 -p2 -b .setkeycodes
%patch18 -p1 -b .acmglibc22
%patch19 -p1 -b .jp106
%patch20 -p1 -b .keymaps
%patch21 -p1 -b .9630
%patch22 -p1 -b .latin2
%patch23 -p1 -b .abnt2
%patch24 -p1 -b .cz
%patch25 -p1 -b .ctrl
%patch26 -p1 -b .ru
%patch27 -p1

# Regenerate Makefiles, now that we're done with patching pretty much every
# byte of code ;)
automake
cd %{DATA}
automake
cd ..

%build
%ifarch %{ix86}
DISABLE_RESIZECONS=
%else
DISABLE_RESIZECONS=--disable-resizecons
%endif

cd %{DATA}
libtoolize --copy --force
AR=%{__ar} CC=%{__cc} RANLIB=%{__ranlib} \
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
%if %{_arch} != %{_build_arch}
  %{_target_platform} --build=%{_build_alias} \
%endif
  --mandir=$RPM_BUILD_ROOT%{_mandir} \
  $DISABLE_RESIZECONS
cd ..
libtoolize --copy --force
%if %{_arch} != %{_build_arch}
export ac_cv_func_mmap_fixed_mapped=yes
%endif
AR=%{__ar} CC=%{__cc} RANLIB=%{__ranlib} \
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -static" LDFLAGS="-static" ./configure --prefix=/usr \
  --datadir='/lib/kbd' --enable-localdatadir=/etc/sysconfig/console \
  --mandir=$RPM_BUILD_ROOT%{_mandir} \
%if %{_arch} != %{_build_arch}
  %{_target_platform} --build=%{_build_alias} \
%endif
  $DISABLE_RESIZECONS
cd %{DATA}
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr \
	AR=%{__ar} CC=%{__cc} RANLIB=%{__ranlib}
cd ..
make CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s prefix=/usr \
	AR=%{__ar} CC=%{__cc} RANLIB=%{__ranlib}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/lib/kbd

# Don't ship zero-length documentation
find doc %{DATA}/doc -size 0b | xargs rm -f

cd %{DATA}
make install prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/lib/kbd
cd ..
make install prefix=$RPM_BUILD_ROOT/usr datadir=$RPM_BUILD_ROOT/lib/kbd

# XXX hotwire some fonts on sun
%ifarch sparc sparc64
XXXFONTS="
    RUSCII_8x14.psf.gz RUSCII_8x16.psf.gz RUSCII_8x8.psf.gz
    koi8u-8x14.psf.gz koi8u-8x16.psf.gz koi8u-8x8.psf.gz
    lat2u-16.psf.gz lat5-12.psf.gz lat5-14.psf.gz lat5-16.psf.gz 
    ucw08.psf.gz  ucw11m.psf.gz ucw11z.psf.gz ucw16.psf.gz
"
make -C %{DATA}/consolefonts $XXXFONTS
for F in $XXXFONTS
do
  install -c -m 0644 %{DATA}/consolefonts/$F $RPM_BUILD_ROOT/lib/kbd/consolefonts/$F
done
%endif

file $RPM_BUILD_ROOT/usr/bin/* | grep ELF | cut -f 1 -d ':' | xargs %{__strip}

# don't give loadkeys SUID perms
chmod 755 $RPM_BUILD_ROOT/usr/bin/loadkeys

# other keymaps
for map in ro sr ; do
   install -m 644 $RPM_SOURCE_DIR/kbd-$map.map.gz \
      $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/$map.kmap.gz
done
for type in qwerty qwertz ; do
  for map in keymaps/i386/$type/* ; do
      gzip -c $map > \
        $RPM_BUILD_ROOT/lib/kbd/$map.gz
  done
done

install -m 644 $RPM_SOURCE_DIR/sunt4-no-latin1.map.gz \
	$RPM_BUILD_ROOT/lib/kbd/keymaps/sun/sunt4-no-latin1.map.gz

install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d

install -m 755 $RPM_SOURCE_DIR/keytable.init $RPM_BUILD_ROOT/etc/rc.d/init.d/keytable

mkdir -p $RPM_BUILD_ROOT/bin
pushd $RPM_BUILD_ROOT/usr/bin
for foo in loadkeys consolechars ; do
  mv $foo ../../bin
  ln -s ../../bin/$foo
done
popd

%ifarch sparc
install -c -m 755 $RPM_SOURCE_DIR/pc2sun.pl $RPM_BUILD_ROOT/lib/kbd/keytables
%endif

%ifnarch %{ix86}
rm -f $RPM_BUILD_ROOT%{_mandir}/man8/resizecons.8
%endif
%ifnarch m68k ppc
rm -rf $RPM_BUILD_ROOT/lib/kbd/keymaps/mac
%ifnarch m68k
rm -rf $RPM_BUILD_ROOT/lib/kbd/keymaps/amiga
rm -rf $RPM_BUILD_ROOT/lib/kbd/keymaps/atari
%endif
%endif
%ifnarch sparc
rm -rf $RPM_BUILD_ROOT/lib/kbd/keymaps/sun
%endif

chmod +x $RPM_BUILD_ROOT/usr/lib/*.so*
%{__strip} --strip-unneeded -R .comment $RPM_BUILD_ROOT/usr/lib/*.so*

ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/lib/kbd/consolefonts/lat1-sun16.psf.gz
ln -sf lat0-sun16.psf.gz $RPM_BUILD_ROOT/lib/kbd/consolefonts/lat5-sun16.psf.gz
gzip -9 < %{DATA}/consolefonts/cyr-sun16.psf > $RPM_BUILD_ROOT/lib/kbd/consolefonts/cyr-sun16.psf.gz
gunzip $RPM_BUILD_ROOT/lib/kbd/keymaps/i386/qwerty/gr.kmap.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add keytable

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del keytable
fi

%postun -p /sbin/ldconfig

%triggerpostun -- kbd
/sbin/chkconfig --add keytable

%triggerpostun -- console-tools <= 19990829-15
/sbin/chkconfig --add keytable

%files
%defattr(-,root,root)

%doc README NEWS RELEASE BUGS TODO
%doc doc/[cdf]* %{DATA}/doc/[cdf]* %{DATA}/doc/keymaps
%doc doc/README* %{DATA}/doc/README* doc/*.txt

%config /etc/rc.d/init.d/keytable

/usr/lib/*
/lib/*
/bin/consolechars
/bin/loadkeys
/usr/bin/charset
/usr/bin/chvt
/usr/bin/openvt
/usr/bin/codepage
/usr/bin/consolechars
/usr/bin/deallocvt
/usr/bin/dumpkeys
/usr/bin/fgconsole
%ifarch %{ix86}
/usr/bin/fix_bs_and_del
%endif
/usr/bin/getkeycodes
/usr/bin/kbd_mode
/usr/bin/loadkeys
/usr/bin/loadunimap
/usr/bin/mk_modmap
/usr/bin/mapscrn
/usr/bin/psfaddtable
/usr/bin/psfgettable
/usr/bin/psfstriptable
%ifarch %{ix86}
/usr/bin/resizecons
%endif
/usr/bin/saveunimap
/usr/bin/screendump
/usr/bin/setfont
/usr/bin/setkeycodes
/usr/bin/setleds
/usr/bin/setmetamode
/usr/bin/setvesablank
/usr/bin/showcfont
/usr/bin/showkey
/usr/bin/unicode_start
/usr/bin/unicode_stop
/usr/bin/vcstime
/usr/bin/vt-is-UTF8
/usr/bin/writevt

%{_mandir}/man1/*
%{_mandir}/man4/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Fri Jul 04 2003 Maria Roganovich <bobkova@niisi.msk.ru>
- (40.1.niisi) Replace strip by %%{__strip}

* Mon Apr 15 2002 Bill Nottingham <notting@redhat.com> 19990829-40
- update speakup patch from author <wacker@octothorp.org>

* Mon Apr 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 19990829-39
- Fix bug #62070

* Mon Mar 25 2002 Bernhard Rosenkraenzer <bero@redhat.com> 19990829-38
- Fix init script (#61780)

* Thu Mar  7 2002 Bill Nottingham <notting@redhat.com> 19990829-37
- actually ship some of the added keymaps (speakup, etc.)

* Wed Sep  6 2001 Bill Nottingham <notting@redhat.com> 19990829-36
- fix up fix for #53053 - you can't use redirects with initlog

* Wed Sep  5 2001 Bernhard Rosenkraenzer <bero@redhat.com> 19990829-35
- Fix up russian keymap (#53033)
- Fix up init script (#53053)

* Mon Mar 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up greek keymap (#23995)

* Wed Feb  7 2001 Trond Eivind Glomsrd <teg@redhat.com>
- improve i18n
- use %%{_tmppath}
- source /etc/init.d/functions in initscript, so i18n works not 
  just during startup 
- clean it, so OK/FAILED works

* Mon Feb  5 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add missing control characters for se-latin1 layout (#24539)
- Fix definition of Ctrl+Space in de-latin1 layout (not that
  anybody would need such an odd key combination... Shut up,
  Harald! ;) )
- i18nize init scripts (#26075)

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the %%post trickery (no longer needed)
- Change the initscript to run in runlevel 1 by default

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Move keytables from /usr/lib/kbd to /lib/kbd - international keyboard
  support should be available for repairing filesystems
  (problem reported on redhat-devel-list)
- Don't use the euro sign in keymaps that need a different funcion
  on AltGr+E (Bug #17339)
- Fix ABNT2 keyboards (Bug #21469)
- Fix czech keympas (Bug #23432)
- Use %%{ix86} rather than i386 (Bug #23678)

* Sat Dec  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't build on s390 - this package is utterly useless on systems that
  don't have keyboards and/or vcs.

* Tue Oct 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Improve the Euro support patch, include actual fonts containing the
  Euro sign (== latin9 == iso-8859-15)
- Don't include amiga, atari, mac and sun keymaps unless we're compiled
  for these architectures

* Fri Oct 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Don't use the cent character in keyboard layouts where iso-8859-2
  is the default, introduced by Euro support patch (Bug #17339)
- Update URL

* Fri Sep  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add nl-latin1 and nl-latin1-nodeadkeys keymaps from Frank
  Laurijssens (Bug #11146)

* Wed Aug 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Requires gzip... (Bug #16258)

* Sun Aug 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- really fix up Swedish, Danish and Norwegian layout (Bug #15388)

* Mon Aug 14 2000 Preston Brown <pbrown@redhat.com>
- absolute --> relative symlinks (#16128)

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up slovene keymap (Bug #9630)

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix some more keys in Swedish, Danish and Norwegian layout (Bug #15388)

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- take out condrestart; it's rather silly in this case

* Thu Aug  3 2000 Matt Wilson <msw@redhat.com>
- disable the windowskeys thing *again*, someone blew away my revert

* Thu Aug  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix some keys in Swedish, Danish and Norwegian layout (Bug #14566)

* Wed Jul 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add openvt (Bug #13231)
- Fix jp106 keymap (Bug #10831)

* Mon Jul 17 2000 Jakub Jelinek <jakub@redhat.com>
- make it parse new glibc 2.2 format of /usr/share/i18n/charmaps

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix parameter handling in setkeycodes (Bug #13507)

* Mon Jun 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up initscript

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify
- update URL

* Tue May  2 2000 Bill Nottingham <notting@redhat.com>
- libtoolize tweaks for ia64

* Mon Mar  6 2000 Jakub Jelinek <jakub@redhat.com>
- New -sun16 fonts (cyr-sun16 plus a few modifications
  to lat0-sun16 and lat2-sun16; lat5-sun16 merged into lat0-sun16)
- koi8-r and koi8-u acm maps
- Fix an endianess bug in psfgettable

* Thu Mar  2 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up support for Russian (Bugs #9898 and #9908)
  Seems console-tools can't handle gzip'ing on all file types.

* Tue Feb 29 2000 Preston Brown <pbrown@redhat.com>
- the delete key mapping on sun type 4/5 keyboards matches intel now.

* Fri Feb 25 2000 Cristian Gafton <gafton@redhat.com>
- update romanian keyboard

* Fri Feb 25 2000 Jakub Jelinek <jakub@redhat.com>
- Fix acm loading, so it is able to cope again with
  what previous console-tools were loading and not only
  wg-15 glibc format.
- Painted yet another Turkish font compatible with lat0-sun16.

* Thu Feb 24 2000 Matt Wilson <msw@redhat.com>
- updated Turkish font

* Thu Feb 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up support for Russian
  (fonts from leon@geon.donetsk.ua, Bug #9519)

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to compress man pages
- strip libraries

* Wed Jan 11 2000 Bill Nottingham <notting@redhat.com>
- fix some of the old patches

* Fri Nov  5 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to console-tools 0.3.3 and console-data 1999.08.29
- Euro support
- Support for Windoze keys (used to switch between ttys)

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- fix resizecons (#3986).
- consolechars can't handle gzipped old format koi8u2ruscii (#4022).

* Mon Aug 23 1999 Bill Nottingham <notting@redhat.com>
- a directory is not a keymap.

* Fri Aug 20 1999 Bill Nottingham <notting@redhat.com>
- triggerpostun on kbd so we don't lose our chkconfig links

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- make keytable %post handle us.map better

* Thu Apr 15 1999 Jeff Johnson <jbj@redhat.com>
- hotwire sun fonts.

* Wed Apr 14 1999 Bill Nottingham <notting@redhat.com>
- %post changes; just copy the user's configured font/map/etc.

* Wed Apr 14 1999 Matt Wilson <msw@redhat.com>
- added fonts RUSCII_*, koi8u_*, and acm koi8u2ruscii from
  Leon Kanter <leon@geon.donetsk.ua>

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- removed sh-utils from prereq.
- added sed to prereq

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- more latin2 fonts (Peter Ivanyi).

* Thu Apr  8 1999 Bill Nottingham <notting@redhat.com>
- added sh-utils to prereq.

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- /etc/sysconfig/console support
- add setsysfont to init script

* Mon Mar 29 1999 Peter Ivanyi <ivanyi@internet.sk>
- more fixes.

* Thu Mar 25 1999 Peter Ivanyi <ivanyi@internet.sk>
- add ucw-fonts-1.1.tar.gz
- delete obsolete sk keymaps from console-tools-1998.08.11.add-ons.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- added norwegian sun4 keymap support

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1999.03.02.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- repackage for Red Hat 6.0

* Wed Jan 30 1999 Alex deVries <puffin@redhat.com>
- added amiga support for Jes Sorensen

* Mon Dec 07 1998 Jakub Jelinek <jj@ultra.linux.cz>
- some keymaps were including "*.map", which has to be
  replaced by "*.kmap"

* Fri Dec 04 1998 Jakub Jelinek <jj@ultra.linux.cz>
- upgrade to console-tools, added new sun keymaps,
  new sun fonts for latin0/1 and latin2, iso15.acm
  and iso02+euro.acm.
- Print the verbose messages only if verbose was 
  specified on command line.

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- added Euro (latin0) support from Guylhem Aznar

* Sun Sep 27 1998 Cristian Gafton <gafton@redhat.com>
- fix the name the ro and sr maps are installed under
- slovak keymaps
- ro.map and sr.map are welcomed to the club
- enable turkish again

* Mon Aug 24 1998 Cristian Gafton <gafton@redhat.com>
- KEYTABLE should not have the full patch name (%post hack)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- install keymaps on tty0 w/o using (non-installed) open(1).

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- updated to 0.96a.

* Thu Jun 11 1998 Mikael Hedin <micce@irf.se>
- specify VT0 in case we use a serial console

* Wed Jun 10 1998 Jeff Johnson <jbj@redhat.com>
- quotes permit multiple keytables in keytable.init (problem #675)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- added some extra turkish support

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixes for building on alpha
- completed buildroot usage

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 0.95

* Wed Mar 25 1998 Erik Troan <ewt@redhat.com>
- fixed /tmp exploit

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added SPARC stuff (finally!), Thanks to eduardo@medusa.es for most of it.
- added buildroot
- cleaned up the file list
- moved to rev 5 because the contrib ver rel was 4

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- updated from 0.91 to 0.94
- added chkconfig support
- spec file cleanups

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
